Вопросы с тегом 'try-catch-finally'

Общее использование catch и, наконец, вместе - это получение и использование ресурсов в блоке try, рассмотрение исключительных обстоятельств в блоке catch и освобождение ресурсов в блоке finally.
11
ответов

try / finally без значения catch и return [duplicate]

У меня есть следующая программа: public class Main { public static void main(String[] args)throws Exception { int res = test(); System.out.println("after call , res = " + res) ; } public static int test()thr...
задан 13.10.2015 в 11:23
9
ответов

В чем причина этого предложения finally, содержащего вызовы close ()

Я изучаю онлайн-курс Java, Введение в программирование с использованием Java . В главе о вводе-выводе приведен следующий код со следующим утверждением:    Кстати, в конце этой программы вы найдете наш первый полезный пример предложения fi...
задан 24.03.2014 в 13:44
4
ответа

Что такое ключевое слово finally в PHP?

Рассмотрим эти два примера <?php function throw_exception() { // Arbitrary code here throw new Exception('Hello, Joe!'); } function some_code() { // Arbitrary code here } try { throw_exception(); } catch (Exception $e) {...
задан 25.06.2013 в 10:50
5
ответов

Наконец, не выполняется, когда в потоке, запущенном в службе Windows

Может кто-нибудь объяснить, почему этот блок finally не выполняется? Я прочитал сообщения о том, когда ожидать, что блок finally не будет выполнен, но это похоже на другой случай. Для этого кода нужны TopShelf и log4net. Я бегу .net 4.5 Я пре...
задан 29.06.2015 в 16:55
4
ответа

Можем ли мы использовать «return» в finally block [duplicate]

Можно ли использовать оператор return в блоке finally . Это может вызвать проблемы?     
задан 13.08.2013 в 11:33
5
ответов

Получает ли код, наконец, запуск после возврата в Objective-C?

Рассмотрим следующий код: @try { if (something.notvalid) { return; } // do something else } @catch (NSException *ex) { // handle exception } @finally { NSLog(@"finally!"); } Если something недействительно и я возвращаюс...
задан 03.06.2010 в 21:15
3
ответа

Возвращение в блок finally ... Почему бы и нет?

Как MSDN упоминает :    Код в блоке finally работает после   оператор Return в Try или Catch   блок встречается, но до этого   Выполняется оператор return. В этом   ситуация, оператор возврата в   Наконец, блок выполняется до   начальный опе...
задан 26.04.2011 в 11:00
5
ответов

try-catch-finally с возвратом после него

Я знаю, как пытаться, ловить & amp; наконец, работа (для большей части), но у меня есть одна вещь, о которой мне было интересно: что происходит с оператором return после try-catch-finally, в то время как у нас уже было возвращение в try (или cat...
задан 20.03.2014 в 13:31
4
ответа

Есть ли такой случай, когда в try \ finally блокируется, наконец, не будет выполнено?

Я изучаю для своего теста в объектно-ориентированном программировании, и мне было интересно, есть ли какой-нибудь случай, который когда-либо учитывал бы следующий код: try { do something } catch (someException e) { } finally { do som...
задан 14.08.2010 в 19:21
2
ответа

python: восстановить исключение из блока try, если блок finally вызывает исключение

Скажем, у меня есть такой код: try: try: raise Exception("in the try") finally: raise Exception("in the finally") except Exception, e: print "try block failed: %s" % (e,) Вывод: try block failed: in the fina...
задан 20.04.2012 в 16:43